RESTinio

List of all members
restinio::parse_query_traits::restinio_defaults Struct Reference

Traits for the default RESTinio parser for query string. More...

`#include <uri_helpers.hpp>`

Inheritance diagram for restinio::parse_query_traits::restinio_defaults:

## Additional Inherited Members
Static Public Member Functions inherited from restinio::utils::restinio_default_unescape_traits
static constexpr bool | ordinary_char (char c) noexcept
Static Public Member Functions inherited from restinio::parse_query_traits::details::ampersand_and_semicolon_as_separators
static string_view_t::size_type | find_next_separator (string_view_t where, string_view_t::size_type start_from) noexcept

## Detailed Description

Traits for the default RESTinio parser for query string.

The default RESTinio parser prohibit usage of unexcaped asterisk.

Note
  This traits type is used by default. It means that a call:
  auto result = restinio::parse_query<restinio::parse_query_traits::restinio_defaults>("name=value");
  is equivalent to:
  auto result = restinio::parse_query("name=value");
  restinio::parse_query
  RESTINIO_NODISCARD query_string_params_t parse_query(string_view_t original_query_string)
  Parse query key-value parts.
  Definition: uri_helpers.hpp:518

Since
  v.0.4.9.1

Examples
  sample/try_parse_query_string/main.cpp.

Definition at line 244 of file uri_helpers.hpp.

The documentation for this struct was generated from the following file:

- restinio/uri_helpers.hpp